# OutOfPlaneSite Class Reference

This is a VirtualSite that computes the particle location based on three other particles' locations. More...

Inheritance diagram for OutOfPlaneSite:

List of all members.

## Public Member Functions

def | getWeight12
| getWeight12(self) -> double
def | getWeight13
| getWeight13(self) -> double
def | getWeightCross
| getWeightCross(self) -> double
def | __init__
| __init__(self, int particle1, int particle2, int particle3, double weight12, double weight13, double weightCross) -> OutOfPlaneSite __init__(self, OutOfPlaneSite other) -> OutOfPlaneSite
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This is a VirtualSite that computes the particle location based on three other particles' locations.

If r1 is the location of particle 1, r12 is the vector from particle 1 to particle 2, and r13 is the vector from particle 1 to particle 3, then the virtual site location is given by

r1 + w12r12 + w13r13 + wcross(r12 x r13)

The three weight factors are user-specified. This allows the virtual site location to be out of the plane of the three particles.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from VirtualSite.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, int particle1, int particle2, int particle3, double weight12, double weight13, double weightCross) -> OutOfPlaneSite __init__(self, OutOfPlaneSite other) -> OutOfPlaneSite

Create a new OutOfPlaneSite virtual site.

Parameters:

  | particle1 | the index of the first particle
  | particle2 | the index of the second particle
  | particle3 | the index of the third particle
  | weight12 | the weight factor for the vector from particle1 to particle2
  | weight13 | the weight factor for the vector from particle1 to particle3
  | weightCross | the weight factor for the cross product

def getWeight12 | ( |  | self | ) |

getWeight12(self) -> double

Get the weight factor for the vector from particle1 to particle2.

def getWeight13 | ( |  | self | ) |

getWeight13(self) -> double

Get the weight factor for the vector from particle1 to particle3.

def getWeightCross | ( |  | self | ) |

getWeightCross(self) -> double

Get the weight factor for the cross product.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py